module FVGQ20
using LinearAlgebra, SymbolicUtils, LaTeXStrings
const max_order = 2
const n_y = 24
const n_x = 14
const n_p = 28
const n_ϵ = 6
const n_z = 6
const η = [0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0; 1.0 0.0 0.0 0.0 0.0 0.0; 0.0 1.0 0.0 0.0 0.0 0.0; 0.0 0.0 1.0 0.0 0.0 0.0; 0.0 0.0 0.0 1.0 0.0 0.0; 0.0 0.0 0.0 0.0 1.0 0.0; 0.0 0.0 0.0 0.0 0.0 1.0]
const Q = [0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 1.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 1.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 1.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 1.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 1.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0; 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 1.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0]
const has_Ω = true
# Display definitions
const x_symbols = [:c_m, :x_m, :Π_m, :w_m, :R_m, :yd_m, :vp_m, :k, :d, :φ, :μ_I, :μ_A, :mshock, :g]
const y_symbols = [:c, :x, :Π, :w, :R, :yd, :vp, :Πstar, :u, :q, :λ, :μ_z, :r, :l, :mc, :g1, :g2, :ob_μz, :ob_Π, :ob_R, :ob_dw, :ob_dy, :ob_l, :ob_μ]
const u_symbols = [:c, :x, :Π, :w, :R, :yd, :vp, :Πstar, :u, :q, :λ, :μ_z, :r, :l, :mc, :g1, :g2, :ob_μz, :ob_Π, :ob_R, :ob_dw, :ob_dy, :ob_l, :ob_μ, :c_m, :x_m, :Π_m, :w_m, :R_m, :yd_m, :vp_m, :k, :d, :φ, :μ_I, :μ_A, :mshock, :g]
const p_symbols = [:β, :h, :ϑ, :κ, :α, :θp, :χ, :γR, :γy, :γΠ, :Πbar, :ρd, :ρφ, :ρg, :g_bar, :σ_A, :σ_d, :σ_φ, :σ_μ, :σ_m, :σ_g, :Λμ, :ΛA, :δ, :ε, :ϕ, :γ2, :Ω_ii]
const H_latex = L"\begin{equation}
\left[
\begin{array}{c}
\frac{ - h \beta d\left( 1 + t \right)}{c\left( 1 + t \right) \mathrm{\mu\_z}\left( 1 + t \right) - h c\left( t \right)} + \frac{d\left( t \right)}{\frac{ - h \mathrm{c\_m}\left( t \right)}{\mathrm{\mu\_z}\left( t \right)} + c\left( t \right)} - \lambda\left( t \right) \\
\frac{\left( l\left( t \right) \right)^{\vartheta} \left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \left( 1 - \alpha \right) \left( 1 + \frac{ - h \beta}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right) \varphi\left( t \right)}{\left( 1 + \frac{ - h}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right) \left( \frac{\left( 1 - g_{bar} \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right) \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)} + \frac{ - \left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) \left( -1 + \delta + e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)} - w\left( t \right) \lambda\left( t \right) \\
\frac{ - \beta R\left( t \right) \lambda\left( 1 + t \right)}{\Pi\left( 1 + t \right) \mathrm{\mu\_z}\left( 1 + t \right)} + \lambda\left( t \right) \\
-1 + \delta + {\gamma}2 \left( -1 + u\left( t \right) \right) + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} - r\left( t \right) \\
\frac{ - \beta \left( \left( 1 - \delta \right) q\left( 1 + t \right) + r\left( 1 + t \right) u\left( 1 + t \right) - \frac{1}{2} \left( -1 + u\left( 1 + t \right) \right)^{2} {\gamma}2 - \left( -1 + u\left( 1 + t \right) \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right) \right) \lambda\left( 1 + t \right)}{\lambda\left( t \right) \mathrm{\mu\_I}\left( 1 + t \right) \mathrm{\mu\_z}\left( 1 + t \right)} + q\left( t \right) \\
-1 + \left( 1 + \frac{ - \kappa \left( \frac{x\left( t \right) \mathrm{\mu\_z}\left( t \right)}{\mathrm{x\_m}\left( t \right)} - e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right) x\left( t \right) \mathrm{\mu\_z}\left( t \right)}{\mathrm{x\_m}\left( t \right)} - \frac{1}{2} \left( \frac{x\left( t \right) \mathrm{\mu\_z}\left( t \right)}{\mathrm{x\_m}\left( t \right)} - e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right)^{2} \kappa \right) q\left( t \right) + \frac{\left( \frac{x\left( 1 + t \right) \mathrm{\mu\_z}\left( 1 + t \right)}{x\left( t \right)} \right)^{2} \beta \kappa \left( \frac{x\left( 1 + t \right) \mathrm{\mu\_z}\left( 1 + t \right)}{x\left( t \right)} - e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right) q\left( 1 + t \right) \lambda\left( 1 + t \right)}{\lambda\left( t \right) \mathrm{\mu\_z}\left( 1 + t \right)} \\
 - \mathrm{g1}\left( t \right) + \mathrm{mc}\left( t \right) \mathrm{yd}\left( t \right) \lambda\left( t \right) + \left( \frac{\left( \Pi\left( t \right) \right)^{\chi}}{\Pi\left( 1 + t \right)} \right)^{ - \varepsilon} \beta {\theta}p \mathrm{g1}\left( 1 + t \right) \\
\frac{\left( \frac{\left( \Pi\left( t \right) \right)^{\chi}}{\Pi\left( 1 + t \right)} \right)^{1 - \varepsilon} \beta {\theta}p \mathrm{{\Pi}star}\left( t \right) \mathrm{g2}\left( 1 + t \right)}{\mathrm{{\Pi}star}\left( 1 + t \right)} - \mathrm{g2}\left( t \right) + \mathrm{yd}\left( t \right) \mathrm{{\Pi}star}\left( t \right) \lambda\left( t \right) \\
\varepsilon \mathrm{g1}\left( t \right) - \left( -1 + \varepsilon \right) \mathrm{g2}\left( t \right) \\
\frac{k\left( t \right) u\left( t \right)}{l\left( t \right)} + \frac{ - \alpha w\left( t \right) \mathrm{\mu\_I}\left( t \right) \mathrm{\mu\_z}\left( t \right)}{\left( 1 - \alpha \right) r\left( t \right)} \\
 - \mathrm{mc}\left( t \right) + \left( w\left( t \right) \right)^{1 - \alpha} \left( r\left( t \right) \right)^{\alpha} \left( \frac{1}{1 - \alpha} \right)^{1 - \alpha} \left( \frac{1}{\alpha} \right)^{\alpha} \\
-1 + \left( \frac{\left( \mathrm{\Pi\_m}\left( t \right) \right)^{\chi}}{\Pi\left( t \right)} \right)^{1 - \varepsilon} {\theta}p + \left( \mathrm{{\Pi}star}\left( t \right) \right)^{1 - \varepsilon} \left( 1 - {\theta}p \right) \\
\frac{\beta R\left( t \right)}{{\Pi}bar e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} - \left( \left( \frac{\Pi\left( t \right)}{{\Pi}bar} \right)^{\gamma\Pi} \left( \frac{\mathrm{yd}\left( t \right) \mathrm{\mu\_z}\left( t \right)}{\mathrm{yd\_m}\left( t \right) e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)^{{\gamma}y} \right)^{1 - {\gamma}R} \left( \frac{\beta \mathrm{R\_m}\left( t \right)}{{\Pi}bar e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)^{{\gamma}R} \mathrm{mshock}\left( t \right) \\
\frac{\left( \left( -1 + u\left( t \right) \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right) + \frac{1}{2} \left( -1 + u\left( t \right) \right)^{2} {\gamma}2 \right) k\left( t \right)}{\mathrm{\mu\_I}\left( t \right) \mathrm{\mu\_z}\left( t \right)} - \mathrm{yd}\left( t \right) + c\left( t \right) + g\left( t \right) + x\left( t \right) \\
\frac{ - \phi + \frac{\left( l\left( t \right) \right)^{1 - \alpha} \left( k\left( t \right) u\left( t \right) \right)^{\alpha} \mathrm{\mu\_A}\left( t \right)}{\mathrm{\mu\_z}\left( t \right)}}{\mathrm{vp}\left( t \right)} - \mathrm{yd}\left( t \right) \\
 - \mathrm{vp}\left( t \right) + \left( \mathrm{{\Pi}star}\left( t \right) \right)^{ - \varepsilon} \left( 1 - {\theta}p \right) + \left( \frac{\left( \mathrm{\Pi\_m}\left( t \right) \right)^{\chi}}{\Pi\left( t \right)} \right)^{ - \varepsilon} {\theta}p \mathrm{vp\_m}\left( t \right) \\
 - \left( 1 - \delta \right) k\left( t \right) + \mathrm{\mu\_I}\left( t \right) \mathrm{\mu\_z}\left( t \right) k\left( 1 + t \right) - \left( 1 - \frac{1}{2} \left( \frac{x\left( t \right) \mathrm{\mu\_z}\left( t \right)}{\mathrm{x\_m}\left( t \right)} - e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right)^{2} \kappa \right) x\left( t \right) \mathrm{\mu\_I}\left( t \right) \mathrm{\mu\_z}\left( t \right) \\
 - \mathrm{c\_m}\left( 1 + t \right) + c\left( t \right) \\
 - \mathrm{x\_m}\left( 1 + t \right) + x\left( t \right) \\
 - \mathrm{\Pi\_m}\left( 1 + t \right) + \Pi\left( t \right) \\
 - \mathrm{w\_m}\left( 1 + t \right) + w\left( t \right) \\
 - \mathrm{R\_m}\left( 1 + t \right) + R\left( t \right) \\
 - \mathrm{yd\_m}\left( 1 + t \right) + \mathrm{yd}\left( t \right) \\
 - \mathrm{vp\_m}\left( 1 + t \right) + \mathrm{vp}\left( t \right) \\
 - \left( \mathrm{\mu\_I}\left( t \right) \right)^{\frac{\alpha}{1 - \alpha}} \left( \mathrm{\mu\_A}\left( t \right) \right)^{\frac{1}{1 - \alpha}} + \mathrm{\mu\_z}\left( t \right) \\
 - {\rho}d \log\left( d\left( t \right) \right) + \log\left( d\left( 1 + t \right) \right) \\
 - \rho\varphi \log\left( \varphi\left( t \right) \right) + \log\left( \varphi\left( 1 + t \right) \right) \\
 - \Lambda\mu + \log\left( \mathrm{\mu\_I}\left( 1 + t \right) \right) \\
 - {\Lambda}A + \log\left( \mathrm{\mu\_A}\left( 1 + t \right) \right) \\
\log\left( \mathrm{mshock}\left( 1 + t \right) \right) \\
 - {\rho}g \log\left( g\left( t \right) \right) - \left( 1 - {\rho}g \right) \log\left( \frac{g_{bar} \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right) \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)} \right) + \log\left( g\left( 1 + t \right) \right) \\
 - \log\left( \mathrm{\mu\_z}\left( t \right) \right) + \mathrm{ob\_{\mu}z}\left( t \right) \\
 - \log\left( \Pi\left( t \right) \right) + \mathrm{ob\_\Pi}\left( t \right) \\
 - \log\left( R\left( t \right) \right) + \mathrm{ob\_R}\left( t \right) \\
 - \log\left( w\left( t \right) \right) + \mathrm{ob\_dw}\left( t \right) + \log\left( \mathrm{w\_m}\left( t \right) \right) \\
 - \log\left( \mathrm{yd}\left( t \right) \right) + \mathrm{ob\_dy}\left( t \right) + \log\left( \mathrm{yd\_m}\left( t \right) \right) \\
 - \log\left( l\left( t \right) \right) + \mathrm{ob\_l}\left( t \right) \\
 - \log\left( \mathrm{\mu\_I}\left( t \right) \right) + \mathrm{ob\_\mu}\left( t \right) \\
\end{array}
\right]
\end{equation}
"
const steady_states_latex = L"\begin{align}
\mathrm{c\_m}\left( \infty \right) =& \frac{\left( 1 - g_{bar} \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right) \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)} + \frac{ - \left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) \left( -1 + \delta + e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \\
\mathrm{x\_m}\left( \infty \right) =& \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) \left( -1 + \delta + e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \\
\mathrm{\Pi\_m}\left( \infty \right) =& {\Pi}bar \\
\mathrm{w\_m}\left( \infty \right) =& \left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \left( 1 - \alpha \right) \\
\mathrm{R\_m}\left( \infty \right) =& \frac{{\Pi}bar e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \\
\mathrm{yd\_m}\left( \infty \right) =& \frac{\left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right) \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)} \\
\mathrm{vp\_m}\left( \infty \right) =& \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)}{1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p} \\
k\left( \infty \right) =& \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \\
d\left( \infty \right) =& 1.0 \\
\varphi\left( \infty \right) =& 1.0 \\
\mathrm{\mu\_I}\left( \infty \right) =& e^{\Lambda\mu} \\
\mathrm{\mu\_A}\left( \infty \right) =& e^{{\Lambda}A} \\
\mathrm{mshock}\left( \infty \right) =& 1.0 \\
g\left( \infty \right) =& \frac{g_{bar} \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right) \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)} \\
c\left( \infty \right) =& \frac{\left( 1 - g_{bar} \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right) \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)} + \frac{ - \left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) \left( -1 + \delta + e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \\
x\left( \infty \right) =& \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) \left( -1 + \delta + e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \\
\Pi\left( \infty \right) =& {\Pi}bar \\
w\left( \infty \right) =& \left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \left( 1 - \alpha \right) \\
R\left( \infty \right) =& \frac{{\Pi}bar e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \\
\mathrm{yd}\left( \infty \right) =& \frac{\left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right) \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)} \\
\mathrm{vp}\left( \infty \right) =& \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)}{1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p} \\
\mathrm{{\Pi}star}\left( \infty \right) =& \left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \\
u\left( \infty \right) =& 1.0 \\
q\left( \infty \right) =& 1.0 \\
\lambda\left( \infty \right) =& \frac{1 + \frac{ - h \beta}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}}{\left( 1 + \frac{ - h}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right) \left( \frac{\left( 1 - g_{bar} \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right) \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)} + \frac{ - \left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) \left( -1 + \delta + e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)} \\
\mathrm{\mu\_z}\left( \infty \right) =& e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \\
r\left( \infty \right) =& -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \\
l\left( \infty \right) =& 1.0 \\
\mathrm{mc}\left( \infty \right) =& \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \\
\mathrm{g1}\left( \infty \right) =& \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( -1 + \varepsilon \right) \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right) \left( 1 + \frac{ - h \beta}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \varepsilon \left( 1 - {\theta}p \right) \left( 1 + \frac{ - h}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right) \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right) \left( \frac{\left( 1 - g_{bar} \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right) \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)} + \frac{ - \left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) \left( -1 + \delta + e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)} \\
\mathrm{g2}\left( \infty \right) =& \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right) \left( 1 + \frac{ - h \beta}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right) \left( 1 + \frac{ - h}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right) \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right) \left( \frac{\left( 1 - g_{bar} \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} {\theta}p \right) \left(  - \phi + \frac{\left( \frac{\left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right)} \right)^{\alpha} e^{{\Lambda}A}}{e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)}{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{ - \varepsilon}{1 - \varepsilon}} \left( 1 - {\theta}p \right)} + \frac{ - \left( \frac{\left( \frac{1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} {\theta}p}{1 - {\theta}p} \right)^{\frac{1}{1 - \varepsilon}} \left( \frac{\alpha}{-1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta}} \right)^{\alpha} \left( -1 + \varepsilon \right) \left( 1 - {\Pi}bar^{\varepsilon \left( 1 - \chi \right)} \beta {\theta}p \right)}{\varepsilon \left( 1 - {\Pi}bar^{\left( -1 + \varepsilon \right) \left( 1 - \chi \right)} \beta {\theta}p \right)} \right)^{\frac{1}{1 - \alpha}} \alpha \left( 1 - \alpha \right) \left( -1 + \delta + e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\left( 1 - \alpha \right) \left( -1 + \delta + \frac{e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right) e^{\Lambda\mu} e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}} \right)} \\
\mathrm{ob\_{\mu}z}\left( \infty \right) =& \frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha} \\
\mathrm{ob\_\Pi}\left( \infty \right) =& \log\left( {\Pi}bar \right) \\
\mathrm{ob\_R}\left( \infty \right) =& \log\left( \frac{{\Pi}bar e^{\frac{{\Lambda}A + \Lambda\mu \alpha}{1 - \alpha}}}{\beta} \right) \\
\mathrm{ob\_dw}\left( \infty \right) =& 0.0 \\
\mathrm{ob\_dy}\left( \infty \right) =& 0.0 \\
\mathrm{ob\_l}\left( \infty \right) =& 0.0 \\
\mathrm{ob\_\mu}\left( \infty \right) =& \Lambda\mu
\end{align}
"
const steady_states_iv_latex = L"$$"
# Function definitions
include("FVGQ20/zero_order_ip.jl")
include("FVGQ20/first_order_ip.jl")
include("FVGQ20/second_order_ip.jl")
end
